function detail(title, type, dtfrom, dtto, aldate, alsnd, sym, anshow, tdlist, tdprior, crout, tent) {
	switch (type) {
	case "appt":
		appoint(title, dtfrom, dtto, aldate, alsnd, sym, crout, tent);
		break;
	case "todo":
		todo(title, dtfrom, dtto, aldate, alsnd, sym, tdlist, tdprior, crout, tent);
		break;
	case "evnt":
		event(title, dtfrom, dtto, aldate, alsnd, sym, crout, tent);
		break;
	default:
		anniv(title, dtfrom, dtto, aldate, alsnd, sym, anshow, crout, tent);
		break;
	}
}


function appoint(title, dtfrom, dtto, aldate, alsnd, sym, crout, tent) {
	var buf = line("", "<Appointment>");
	buf = buf + line("", title);
	buf = buf + separator();
	buf = buf + line("Date: ", fmtDate(dtfrom) + " ~ " + fmtDate(dtto));
	buf = buf + line("Alarm: ", fmtAlarm(aldate, alsnd));
	buf = buf + line("Symbol: ", fmtSym(sym));
	buf = buf + line("Cross out: ", chkBox(crout));
	buf = buf + line("Tentative: ", chkBox(tent));
	alert(buf);
}


function todo(title, dtfrom, dtto, aldate, alsnd, sym, tdlist, tdprior, crout, tent) {
	var buf = line("", "<To-Do list>");
	buf = buf + line("", title);
	buf = buf + separator();
	buf = buf + line("To-do list: ", tdlist);
	buf = buf + line("Priority: ", tdprior);
	buf = buf + line("Due to: ", fmtDay(dtto));
	buf = buf + line("Alert from: ", fmtDay(dtfrom));
	buf = buf + line("Alarm: ", fmtAlarm(aldate, alsnd));
	buf = buf + line("Symbol: ", fmtSym(sym));
	buf = buf + line("Cross out: ", chkBox(crout));
	buf = buf + line("Tentative: ", chkBox(tent));
	alert(buf);
}


function event(title, dtfrom, dtto, aldate, alsnd, sym, crout, tent) {
	var buf = line("", "<Event>");
	buf = buf + line("", title);
	buf = buf + separator();
	buf = buf + line("Date: ", fmtDay(dtfrom) + " ~ " + fmtDay(dtto));
	buf = buf + line("Alarm: ", fmtAlarm(aldate, alsnd));
	buf = buf + line("Symbol: ", fmtSym(sym));
	buf = buf + line("Cross out: ", chkBox(crout));
	buf = buf + line("Tentative: ", chkBox(tent));
	alert(buf);
}


function anniv(title, dtfrom, dtto, aldate, alsnd, sym, anshow, crout, tent) {
	var show;
	var buf = line("", "<Anniversary>");
	buf = buf + line("", title);
	buf = buf + separator();
	buf = buf + line("Date: ", fmtAnniv(dtfrom));
	buf = buf + line("Start year: ", dtfrom.substr(0,4));
	if (anshow == "none") show = "None";
	else if (anshow == "start") show = "Start year";
	else if (anshow == "years") show = "Number of years";
	else show = "Both start and number of years";
	buf = buf + line("Show start year: ", show);
	buf = buf + line("Alarm: ", fmtAlarm(aldate, alsnd));
	buf = buf + line("Symbol: ", fmtSym(sym));
	buf = buf + line("Cross out: ", chkBox(crout));
	buf = buf + line("Tentative: ", chkBox(tent));
	alert(buf);
}


function line(label, str) {
	if (label == "") return(str + "\n");
	else return("........" + label + str + "\n");
}


function separator() {
	return("-----------------------------------------------\n");
}


function fmtAlarm(aldate, alsnd) {
	if (alsnd == "") return("None");
	else return(fmtDate(aldate) + " (" + alsnd + ")");
}


function fmtDate(str) {
	return(fmtDay(str) + " " + str.substr(11, 5));
}


function fmtDay(str) {
	return(str.substr(0, 10));
}


function fmtAnniv(str) {
	return(str.substr(5, 5));
}


function fmtSym(sym) {
	if (sym == "") return("[ ]");
	else return("[" + sym + "]");
}


function chkBox(chk) {
	if (chk == "true") return("[X]");
	else return("[ ]");
}
